Gửi liên kết hoặc yêu cầu cư dân
curl --request POST \
--url https://api.example.com/api/resident/portal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": "request_access",
"towerId": "<string>",
"apartmentCode": "<string>"
}
'import requests
url = "https://api.example.com/api/resident/portal"
payload = {
"intent": "request_access",
"towerId": "<string>",
"apartmentCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent: 'request_access', towerId: '<string>', apartmentCode: '<string>'})
};
fetch('https://api.example.com/api/resident/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/resident/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'intent' => 'request_access',
'towerId' => '<string>',
'apartmentCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/resident/portal"
payload := strings.NewReader("{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/resident/portal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/resident/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"status": "pending"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Mini App
Gửi thao tác cư dân
Gửi thông tin liên kết căn hộ hoặc tạo yêu cầu theo quyền cư dân.
POST
/
api
/
resident
/
portal
Gửi liên kết hoặc yêu cầu cư dân
curl --request POST \
--url https://api.example.com/api/resident/portal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": "request_access",
"towerId": "<string>",
"apartmentCode": "<string>"
}
'import requests
url = "https://api.example.com/api/resident/portal"
payload = {
"intent": "request_access",
"towerId": "<string>",
"apartmentCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent: 'request_access', towerId: '<string>', apartmentCode: '<string>'})
};
fetch('https://api.example.com/api/resident/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/resident/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'intent' => 'request_access',
'towerId' => '<string>',
'apartmentCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/resident/portal"
payload := strings.NewReader("{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/resident/portal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/resident/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"intent\": \"request_access\",\n \"towerId\": \"<string>\",\n \"apartmentCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"status": "pending"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}request_access đặt liên kết về pending, không tự duyệt. create_request có nhánh feedback và service ở backend; giao diện hiện chỉ gửi ý kiến. Các trường dịch vụ phụ thuộc loại yêu cầu; schema values không thay thế validation nghiệp vụ đó.
Không có khóa chống lặp cho tạo ý kiến trong luồng này. Xem Duyệt truy cập Mini App.Authorizations
Token phiên cư dân Taho sau khi xác minh Zalo; không phải Zalo access token.
Body
application/json
Was this page helpful?